import { a, o as e, S as o } from "./index-e68e98a5-63813610.mjs";
import { message as n } from "ant-design-vue";
const m = {
  /**
   * 表单定义文件详情
   * @param {*} formId 表单id
   * @returns
   */
  async queryFormDesign(r) {
    return (await a.get(e.QUERY(r))).table_content;
  },
  /**
   * 表单定义文件查询
   * @param {*} params 查询参数
   * @returns
   */
  async searchFormDesign(r) {
    return await a.get(e.SEARCH, r);
  },
  /**
   * 表单定义文件添加
   * @param {*} json json数据
   * @returns
   */
  async addFormDesign(r) {
    return await a.post(e.DEPLOY, r);
  },
  /**
   * 表单定义文件更新
   * @param {*} formId 表单id
   * @param {*} json json数据
   * @returns
   */
  async updateFormDesign(r, t) {
    return await a.put(e.UPDATE(r), t);
  },
  /**
   * 删除表单定义文件
   * @param {*} formId 表单id
   * @returns
   */
  async deleteFormDesign(r) {
    return await a.delete(e.DELETE(r));
  },
  // 表单定义导入
  async formDesignImport(r) {
    const t = new FormData();
    return t.append("file", r), await a.post(e.FORM_IMPORT, t);
  },
  /**
   * 表单定义下载
   * @param {string} data  下载的表单定义列表  表单name[]
   */
  async formDesignExport(r, t = "表单定义数据") {
    try {
      n.info(`开始下载${t}...`);
      const s = await a.postDownload(e.FORM_EXPORT, r);
      o.saveAs(s, `${t}.json`);
    } catch (s) {
      n.error(s.msg);
    }
  },
  /**
   * 表单授权角色列表
   * @param {*} formName 表名
   * @returns
   */
  async resourceList(r) {
    return await a.get(e.RESOURCE_LIST(r));
  },
  /**
   * 表单授权角色
   * @param {*} formName 表名
   * @param {*} ids 操作角色id
   * @returns
   */
  async resourceBind(r, t) {
    return await a.post(e.RESOURCE_BIND(r), t);
  },
  /**
   * 表单取消授权角色
   * @param {*} formName 表名
   * @param {*} ids 操作角色id
   * @returns
   */
  async resourceUnbind(r, t) {
    return await a.post(e.RESOURCE_UNBIND(r), t);
  }
};
export {
  m
};
