import { a as r, o as e, S as o } from "./index-c1939125.mjs";
import { message as n } from "ant-design-vue";
const m = {
  /**
   * 表单定义文件详情
   * @param {*} formId 表单id
   * @returns
   */
  async queryFormDesign(t) {
    return (await r.get(e.QUERY(t))).table_content;
  },
  /**
   * 表单定义文件查询
   * @param {*} params 查询参数
   * @returns
   */
  async searchFormDesign(t) {
    return await r.get(e.SEARCH, t);
  },
  /**
   * 表单定义文件添加
   * @param {*} json json数据
   * @returns
   */
  async addFormDesign(t) {
    return await r.post(e.DEPLOY, t);
  },
  /**
   * 表单定义文件更新
   * @param {*} formId 表单id
   * @param {*} json json数据
   * @returns
   */
  async updateFormDesign(t, a) {
    return await r.put(e.UPDATE(t), a);
  },
  /**
   * 删除表单定义文件
   * @param {*} formId 表单id
   * @returns
   */
  async deleteFormDesign(t) {
    return await r.delete(e.DELETE(t));
  },
  // 表单定义导入
  async formDesignImport(t) {
    const a = new FormData();
    return a.append("file", t), await r.post(e.FORM_IMPORT, a);
  },
  /**
   * 表单定义下载
   * @param {string} data  下载的表单定义列表  表单name[]
   */
  async formDesignExport(t, a = "表单定义数据") {
    try {
      n.info(`开始下载${a}...`);
      const s = await r.postDownload(e.FORM_EXPORT, t);
      o.saveAs(s, `${a}.json`);
    } catch (s) {
      n.error(s.msg);
    }
  },
  /**
   * 表单授权角色列表
   * @param {*} formName 表名
   * @returns
   */
  async resourceList(t) {
    return await r.get(e.RESOURCE_LIST(t));
  },
  /**
   * 表单授权角色
   * @param {*} formName 表名
   * @param {*} ids 操作角色id
   * @returns
   */
  async resourceBind(t, a) {
    return await r.post(e.RESOURCE_BIND(t), a);
  },
  /**
   * 表单取消授权角色
   * @param {*} formName 表名
   * @param {*} ids 操作角色id
   * @returns
   */
  async resourceUnbind(t, a) {
    return await r.post(e.RESOURCE_UNBIND(t), a);
  }
};
export {
  m as p
};
